<?php

/**
 * Gateway_Management controller.
 *
 * @category   Apps
 * @package    Gateway_Management
 * @subpackage Controllers
 * @author     ADAMnetworks <support@adamnet.works>
 * @copyright  2015-2022 ADAMnetworks
 * @license    All rights reserved
 * @link       https://adamnet.works
 */

///////////////////////////////////////////////////////////////////////////////
// C L A S S
///////////////////////////////////////////////////////////////////////////////

class Gateway_Management_Dashboard extends ClearOS_Controller
{
    ///////////////////////////////////////////////////////////////////////////////
    // V A R I A B L E S
    ///////////////////////////////////////////////////////////////////////////////

    // Initialized by constructor
    protected $dir = '';

    ///////////////////////////////////////////////////////////////////////////////
    // M E T H O D S
    ///////////////////////////////////////////////////////////////////////////////

    /**
     * Dashboard controller constructor.
     */
    function __construct()
    {
        $this->dir = basename(dirname(__DIR__));
    }

    /**
     * Default controller.
     *
     * @return view
     */
    function index()
    {

        // Load libraries
        //---------------

        $this->load->library($this->dir . '/Dashboard');
        $this->load->library($this->dir . '/Service');
        $this->load->library($this->dir . '/Util');

        // Load views
        //-----------
        $this->page->view_form($this->dir . '/dashboard', $data, lang($this->dir . '_app_name'));
    }
}
