<?php

/**
 * Gateway_Management controller.
 *
 * @category   Apps
 * @package    Gateway_Management
 * @subpackage Views
 * @author     ADAMnetworks <support@adamnet.works>
 * @copyright  2015-2022 ADAMnetworks
 * @license    All rights reserved
 * @link       https://adamnet.works
 */

///////////////////////////////////////////////////////////////////////////////
// Form
///////////////////////////////////////////////////////////////////////////////

$checking = $this->util->lang('checking');

$options = array('id' => 'signin_link', 'target' => '_blank');
$button = anchor_custom($this->dashboard->api_url(), $this->util->lang('log_in'), 'high', $options);

if ($this->service->is_enabled()) {
    $status = 'enabled';
} else {
    $status = 'disabled';
}

$content  = $button;
$content .= '<p id="dt_dashboard_msg" class="' . $status . '"><i class="fa fa-spin fa-spinner"></i> ' . $checking . '</p>';

echo infobox_highlight($this->util->lang('infobox_title'), $content, array('id' => 'dt_content'));
